# Uses of Enum Class
org.bukkit.entity.ExperienceOrb.SpawnReason

Packages that use ExperienceOrb.SpawnReason
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of ExperienceOrb.SpawnReason in org.bukkit.entity

Methods in org.bukkit.entity that return ExperienceOrb.SpawnReason
Modifier and Type
Method
Description
`@NotNull ExperienceOrb.SpawnReason`
ExperienceOrb.`getSpawnReason()`
Gets the reason that this experience orb was spawned.
`static ExperienceOrb.SpawnReason`
ExperienceOrb.SpawnReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExperienceOrb.SpawnReason[]`
ExperienceOrb.SpawnReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.